A little tweaked ArrangeWindows. Might be better on widescreens.
    Tomas Janousek <tomi@nomi.cz>

Index: src/WorkspaceCmd.cc
===================================================================
--- src/WorkspaceCmd.cc	(revision 4690)
+++ src/WorkspaceCmd.cc	(working copy)
@@ -171,9 +171,10 @@
     unsigned int max_height = screen->maxBottom(head) - screen->maxTop(head);
 
     // try to get the same number of rows as columns.
-    unsigned int cols = int(sqrt((float)win_count));  // truncate to lower
-    unsigned int rows = int(0.99 + float(win_count) / float(cols));
-    if (max_width<max_height) {    // rotate
+    // (modified by Liskni_si for wide displays)
+    unsigned int cols = int(sqrt((float)win_count) + 0.5);  // truncate to upper
+    unsigned int rows = int(float(win_count) / float(cols) + 0.99);
+    if (max_width<max_height || win_count == 2) {    // rotate
         std::swap(cols, rows);
     }
 
